import React from 'react';
import ReactDOM from 'react-dom';
import { HashRouter } from "react-router-dom";
import { Provider } from 'react-redux';
import Notifications from 'react-notify-toast';

import Header from './components/Header';
import MainCard from './components/MainCard';
import store from './store';

function Layout() {
  return (
    <HashRouter>
        <div className="gs-instagram-settings">
          <Notifications options={{top: '32px'}} />
          <Header />
          <div className="gs-settings-card-wrapper">
            <MainCard />
          </div>
        </div>
    </HashRouter>
  );
}

ReactDOM.render(
  <Provider store={store}>
    <Layout />
  </Provider>,
  document.getElementById( 'gs-instagram-settings' )
);
