<?php

namespace GS_Instagram\Backend;

class Activation_Hook {

   /**
     * Constructor
     */
    public function __construct() {
        $this->create_themes_table();
    }

   /**
     * Create the themes table
     */
    private function create_themes_table() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'gs_instagram_themes';
        $charset_collate = $wpdb->get_charset_collate();

        $sql = "CREATE TABLE IF NOT EXISTS `{$table_name}` (
            `id` INT(8) NOT NULL AUTO_INCREMENT,
            `name` VARCHAR(180) NOT NULL,
            `source` VARCHAR(180) NOT NULL,
            `source_type` VARCHAR(50) NOT NULL,
            `per_page` SMALLINT(3) NULL DEFAULT NULL,
            `columns` SMALLINT(3) NULL DEFAULT NULL,
            `theme_style` VARCHAR(50) NULL DEFAULT NULL,
            `link_target` VARCHAR(50) NULL DEFAULT NULL,
            `meta_data` LONGTEXT NULL DEFAULT NULL,
            `updated_at` DATETIME NULL DEFAULT NULL,
            PRIMARY KEY (`id`)
        ) {$charset_collate};";

        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        dbDelta( $sql );
    }

}
